#
# Conditional build:
%bcond_with	tests	# perform "make test" (require a working X connection)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadLine-Gnu
Summary:	Term::ReadLine::Gnu - Perl interface for the GNU Readline/History library
Summary(pl.UTF-8):	Term::ReadLine::Gnu - perlowy interfejs do biblioteki GNU Readline/History
Name:		perl-Term-ReadLine-Gnu
Version:	1.36
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Term/HAYASHI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f8636c8e17b3266f3a686521a0c06886
URL:		http://search.cpan.org/dist/Term-ReadLine-Gnu/
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl(Term::ReadLine::Gnu::XS)
Obsoletes:	perl-Term-Readline-Gnu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Term::ReadLine::Gnu Perl module is an implementation of the interface
to the GNU Readline Library. This module gives you input line editing
facility, input history management facility, word completion facility,
etc. It uses the real GNU Readline Library. And this module has the
interface with the almost all variables and functions which are
documented in the GNU Readline/History Library. So you can program
your custom editing function, your custom completion function, and so
on with Perl. This may be useful for prototyping before programming
with C.

%description -l pl.UTF-8
Moduł Perla Term::ReadLine::Gnu jest implementacją interfejsu do
biblioteki GNU Readline. Udostępnia linię wprowadzania tekstu z
możliwością edycji, zarządzania historią, automatycznym dopełnianiem
itp. Używa biblioteki GNU Readline, ma interfejs do prawie wszystkich
zmiennych i funkcji bibliotek Readline i History - można więc
oprogramować własne funkcje edycji, dopełniania itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags} -DPERL_POLLUTE"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	CC="%{__cc}" \
	DESTDIR=$RPM_BUILD_ROOT

rm -f eg/*.orig
install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorarch}/Term/ReadLine
%{perl_vendorarch}/Term/ReadLine/Gnu*
%dir %{perl_vendorarch}/auto/Term/ReadLine
%dir %{perl_vendorarch}/auto/Term/ReadLine/Gnu
%attr(755,root,root) %{perl_vendorarch}/auto/Term/ReadLine/Gnu/Gnu.so
# empty autosplit.ix and *.al files, but requred
%dir %{perl_vendorarch}/auto/Term/ReadLine/Gnu/XS
%{perl_vendorarch}/auto/Term/ReadLine/Gnu/XS/*.al
%{perl_vendorarch}/auto/Term/ReadLine/Gnu/XS/autosplit.ix
%{_mandir}/man3/Term::ReadLine::Gnu.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Term-ReadLine-Gnu.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 14df240
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> b1c51c7
- release 2 (by relup.sh)

* Mon Sep 02 2019 Marcin Krol <hawk@tld-linux.org> 4bee739
- updated to 1.36

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> fc120e1
- updated to 1.35

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b4a6e57
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> bcc85e9
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 61d6531
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 12c9030
- rebuild with readline 7.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9f93127
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9f6bb10
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> ccb8e5d
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 4b40bfe
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> aa73c05
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 91bc247
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 33136c6
- updated to 1.20

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> abf201e
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 39f38c8
- release 2

* Fri Apr 17 2009 radek <radek@pld-linux.org> c80ffb1
- version 1.19

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 618421f
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 3006d68
- generic URL
- informative summaries

